About Total Access Startup

For optimal performance, multi-user databases Access applications should be split into two parts: a “data” database on a shared network drive, and a “front end” database on each user’s local computer pointing to the shared data. Access developers and administrators face a challenge when it comes to keeping all users in synch with the latest version of the front-end application, and the most appropriate version of Access. Total Access Startup solves these challenges with an elegant, centralized, and easy to administer solution.

Total Access Startup guarantees that your users always launch the right version of Access with the right version of your Access database.

Easily manage Access and your databases to ensure that users:

· Start the Access version you specify
Total Access Startup ensures that your database always opens in the correct version of Access, regardless of how many versions are installed and what Windows considers the default application. If your database requires Access 2010, Total Access Startup always launches it in Access 2010. If it needs Access 2000 or greater, Total Access Startup handles that as well.

· Detect and run the latest version of your Access database
Total Access Startup keeps all users up-to-date with the latest version of your application. Simply update a version number, and Total Access Startup copies the new version to the users’ local computer the next time they launch it.

To deploy your Access application, simply send an email pointing to the shortcut that is automatically created, and you’re done!

Total Access Startup is a standalone application comprised of three executables:

Total Access Startup Administrator

The Total Access Startup Administrator is a wizard that helps you control how your database is started and managed. The Administrator allows you to specify:

· The version(s) of Access that the application uses

· The location of the “master” database on the network, and optionally the location of the users’ local database

· The name of a table and field that stores version information, to keep all users up-to-date

· Startup options, such as a macro, command line switch, and other options to run when the database is launched

· Files to run and message to display when the local copy is created and/or updated

· Custom content to display to users while the application is launched and if there is an error.

When you complete the Wizard, Total Access Startup creates a small INI file and shortcut link in the network location you specify. The INI file includes your specifications, and the shortcut launches your database using these specifications.

Total Access Startup Launcher Program

The Total Access Startup Standard Launcher (TAStart.exe) is a small executable that runs your database with the options specified selected in the Administrator Wizard. The INI file and Launcher reside on your network for your users.. The Standard Launcher detects if 64 bit Access is installed, and redirects to the 64 bit Launcher (TAStart64.exe) if necessary.

The INI file and Launcher programs reside on your network for your users. The Launcher programs have no dependencies and do not require your users to have anything installed on their machine other than a copy of Access.

Total Access Startup Redistributable Program

The Total Access Startup Standard Redistributable is a small executable (TASLnch.exe) that can be distributed with your applications royalty-free. The Standard Launcher detects if 64 bit Access is installed, and redirects to the 64 bit Launcher (TASLnch64.exe) if necessary.

The Launcher programs have no dependencies and do not require your users to have anything installed on their machine other than a copy of Access. The Launchers ensure that your application is always launched using the correct version of Access and the appropriate startup options. See Total Access Startup Redistributable for details.

See also

  • Product Highlights

  • New Features in This Version

  • Enhancement in Previous Versions

  • Visit our Web Site


Product Highlights

Total Access Startup makes it easier than ever to keep all database users in synch with the correct version of Access, and the latest version of your database. Total Access Startup lets you:

Launch the Correct Version of Access

Total Access Startup always launches the correct version of Access with your database regardless of how many versions of Access are installed or what Windows considers the default program. Total Access Startup supports MDBs, ACCDBs, and ADPs—use it to support all of your database formats!

Display Customized Error Information

Customize the information that the user sees if there is an error launching the application (e.g. if the user doesn’t have the correct version of Access installed). This gracefully handles the problem and allows you to display helpful information, such as troubleshooting tips and the database administrator’s contact information.

Deploy Applications to User’s Local Machine

If your users are running your application for the first time, Total Access Startup installs the database for them. If there are other files required, you can also launch a batch file or setup program.

Make Sure Users Have the Latest Version

When you update your database, your user’s local copy is automatically updated the next time they launch it. You can also show a message to the user, and/or launch a batch file or setup program if additional files need to be installed.

Launch the Database with Various Startup Options

Choose from a variety of startup options, such as a executing a macro or command line switch, and opening the database exclusively or in read-only mode.

Manage the Application Centrally

Total Access Startup stores everything centrally so you can deploy your database consistently across all users and easily manage it over time. Just configure your settings in one place, and send shortcuts to all database users. You will never worry about installing the proper dependencies or updating local copies again.

For optimal performance, your databases should be regularly compacted and backed up. If you do not have an automated process in place, consider Total Visual Agent from FMS, which automates these administrative chores. For more information and a demo, visit www.fmsinc.com.

See also

  • About Total Access Startup

  • New Features in This Version

  • Enhancement in Previous Versions

  • Visit our Web Site


New Features in This Version

Total Access Startup 2010 is the third major version of the program since its original release in April 2003. The latest version includes several new features and enhancements, including:

Support for Microsoft Office 2010, 32bit and 64bit Version

Total Access Startup 2010 supports Microsoft Access 2010 (32 bit and 64 bit versions). It continues to support Microsoft Access 95 through 2007 as well.

When launching a database in Access 2010, the administrator can specify if they want to limit the database to open in only the 32 bit version, only the 64 bit version, or in either version. See Deployment Options for details about deploying databases with support for 64 bit Access.

See also

  • About Total Access Startup

  • Product Highlights

  • Enhancement in Previous Versions

  • Visit our Web Site


Enhancement in Previous Versions

Enhancements in Previous Versions

Total Access Startup 2007, Version 12

  • Support for Microsoft Office Access 2007

Total Access Startup adds support for launching your Access 2007 databases including support for the new ACCDB database format.

  • Support for Access Data Projects (ADPs)

Access Data Projects are Access applications for SQL Server databases. Total Access Startup 2007 now supports ADPs, so you can simply set a custom property to keep all of your ADP users up-to-date with the latest version of your project. See Preparing the Master Database for details.

  • Support for User-Specific Path Variables

Refer to any of the available path variables to write the local database to a user’s folder (e.g. “My Documents”, “Desktop”, or “Profile”). See General Information for details.

  • Option to Show a Message on Update

Optionally display a message when an updated version of the application is copied to a user’s computer. See Startup Options for details.

  • Option for Launching in a Specified Access Version or Earlier

When specifying an Access version to use with your database, choose whether to only use that version, that version or later, or that version or earlier. See General Information for details.

  • Customizable Error Messages

Customize the text that is displayed to users for various errors. See Error Information for details.

  • New User Interface for the Total Access Startup Administrator

The Total Access Startup Administrator includes a more modern and usable User Interface, with support for Windows themes.

See also

  • About Total Access Startup

  • Product Highlights

  • New Features in This Version

  • Visit our Web Site


Visit our Web Site

FMS is constantly developing new and better developer solutions. Total Access Startup is part of our complete line of products designed specifically for the Access developer. Please take a moment to visit us online at www.fmsinc.com to find out about new products and updates.

Product Announcements and Press Releases

Read the latest information on new products, new versions, and future products. Press releases are available the same day they are sent to the press. Sign up in our Feedback section to have press releases automatically sent to you via email.

Product Descriptions and Demos

Detailed descriptions for all of our products are available. Each product has its own page with information about features and capabilities. Demo versions for most of our products are also available.

Product Registration

Register your copy of Total Access Startup on-line. Be sure to select the email notification option so you can be contacted when updates are available or news is released. You must be registered to receive technical support.

Product Updates

FMS is committed to quality software. When we find problems in our products, we fix them and post the new builds on our web site. Check our Product Updates page in the Technical Support area for the latest build.

Technical Papers

FMS personnel often speak at conferences and write magazine articles, papers, and books. Copies and portions of this information are available to you online. Learn about our latest ideas and tricks for developing more effectively.

Social Media

Join us on Facebook: http://www.facebook.com/fms.solutions

And Follow us on Twitter: http://www.twitter.com/fmsinc

Blog with us: http://www.fmsinc.com/blog

Newsgroups

Share your experiences, learn from others, and ask your questions in our virtual community. Visit our newsgroups at:

www.fmsinc.com/support/newsgrp.htm

Or see our web site for additional instructions.

Links to Other Development Sites

Jump to other locations, including newsgroups, user group home pages, and other sites with news, techniques, and related services.

See also

  • About Total Access Startup

  • Product Highlights

  • New Features in This Version

  • Enhancement in Previous Versions


System Requirements

The Total Access Startup Administrator program has the following system requirements:

  1. Operating system, processor, and memory that can run VB applications successfully.

  2. 5 MB of free disk space to install the product.

  3. To configure Total Access Startup for use with an ACCDB file, you must run Total Access Startup Administrator on a computer with Access 2007 or Access 2010 installed.

The Total Access Startup Launcher and Redistributable programs have no system requirements. Keep in mind, however, that the user must have the appropriate version of Access installed to open the database.

See also

  • Installing the Program

  • Using the Update Wizard

  • Uninstalling the Program


Installing the Program

Only the Administrator (the person specifying the settings necessary for the users to launch the Access application) needs to install Total Access Startup. End users do not need to run an installation program. In fact, they only launch their shortcut from the network and no Total Access Startup files are ever installed on their machine.

Total Access Startup is installed using an automated setup program. To install Total Access Startup, follow these steps:

1. Locate and run the setup program.

2. When prompted, enter your registration information and product key (serial number).

3. Specify the destination directory for the files.

4. Be sure to read the README file for any late breaking news that is not included in this User Guide.

See also

  • System Requirements

  • Using the Update Wizard

  • Uninstalling the Program


Using the Update Wizard

If you are registered, you should receive emails from FMS when updates are released for the products. To verify you have the latest build, you can use the Total Access Startup Update Wizard with an active Internet connection.

From the main Windows menu, select All Programs, FMS, Total Access Startup, Update Wizard. Follow the prompts on the form to check for the latest update.

See also

  • System Requirements

  • Installing the Program

  • Uninstalling the Program


Uninstalling the Program

Total Access Startup conforms to Windows installation and removal standards. To uninstall Total Access Startup:

  1. From the main Windows menu, select Control Panel.

  2. From the Control Panel window, select Add/Remove Programs.

  3. Select Total Access Startup from the list of installed programs, and click the Change/Remove button.

  4. Follow the onscreen prompts to uninstall the product.

Note that the uninstall process does not remove any files created by Total Access Startup after it was installed. For example, a temporary database may still exist in the Total Access Startup directory. After uninstalling the product, check the directory where it was originally installed for any remaining files that need to be manually deleted.

See also

  • System Requirements

  • Installing the Program

  • Using the Update Wizard


Preparing for Deployment

Before using Total Access Startup to deploy and manage your database, determine how you would like to deploy the master database. Total Access Startup offers two options:

Launch Master Database from Network Location

Select this option if you do not want Total Access Startup to copy the master database to the user’s local machine. With this option, the master database is launched from the network location, always using the correct version of Access and startup options. This is the simplest way to ensure a shared database is launched with the correct version of Access, but it should generally not be used if multiple users access the database simultaneously or if performance and network traffic are issues.

Deploy Master Database to User’s Local Machine

Select this option if you would like Total Access Startup to copy the master database to a specified location on each user’s local machine. Total Access Startup keeps the local copy in sync with the master database using a Version table that you specify (see Preparing the Master Database for details). The local database is always launched with the correct version of Access. This option is generally selected for multi-user databases that are accessed by several users simultaneously.

If you plan to redistribute your application using TASLnch.exe, choose Launch Master Database from Network Location. Copying the database to the user’s local machine is not supported with the redistributable runtime license. See Total Access Startup Redistributable for details.

See also

  • Preparing the Master Database

  • Total Access Startup Administrator Wizard

  • Settings File Location and Deploy Method

  • General Information

  • Version Information

  • Startup Screen the User Sees

  • Startup Options

  • Error Information

  • Deployment Options


Preparing the Master Database

The deploy method determines the steps necessary to prepare your database. If you choose to launch the master database from the network location, no additional steps are needed – you’re ready to use the Total Access Startup administrator.

If you choose to copy the database to the user’s local machine, there are a few simple steps to take to prepare your database.

Preparing MDB/ACCDB Databases

For standard databases (MDBs and ACCDBs), Total Access Startup uses a field to determine if the user’s local copy is up-to-date with the master database. The master database must include a table and field to store version information.

First, locate the master database that you want to distribute, and add a table to designate the version. There are no restrictions on the table or field name, or the data type of the Version field, however we recommend the following:

· Create a local table named Version. Consider making this table hidden, so that users don’t inadvertently modify the version number. If you name the table usysVersion, it is automatically a user system table, and is hidden unless the Access “View System Tables” option is turned on.

· Add one field to the table. This field can also be named Version, and it can have any data type.

The Version table is what Total Access Startup uses to keep user databases in sync with the master database. Whenever modifications are made to the master database, update the Version field to distribute the latest version to your users.

Total Access Startup determines the version by comparing the first record in the Version tables. If the values are different, Total Access Startup considers the master database updated and replaces the local one.

Preparing Access Data Projects (ADPs)

Since ADP tables Access Data Projects don’t contain local tables, Total Access Startup uses a custom property to keep local copies up-to-date.

To set the custom property, locate the ADP that you want to distribute in Windows Explorer. Right-click on the ADP file, and choose “Properties”:

ADP File, Context Menu

On the Custom tab of the Properties dialog, enter the following information, and click Add:

· Name: TASVersion

· Type: Any (Number is recommended)

· Value: Your program’s version number

ADP Custom Properties

When you release a new version of your application, increment the Value, and click Modify.

See also

  • Preparing for Deployment

  • Total Access Startup Administrator Wizard

  • Settings File Location and Deploy Method

  • General Information

  • Version Information

  • Startup Screen the User Sees

  • Startup Options

  • Error Information

  • Deployment Options


Total Access Startup Administrator Wizard

The Total Access Startup Administrator program includes an easy-to-use wizard that guides you through the process of setting up the launch options. When you run Setup, the program and its support files are installed in the directory you specify. Additionally, the program is added to your Windows Start Menu to make it easy to find.

To start Total Access Startup, select:

Start
All Programs
FMS
Total Access Startup
Total Access Startup Administrator

See also

  • Preparing for Deployment

  • Preparing the Master Database

  • Settings File Location and Deploy Method

  • General Information

  • Version Information

  • Startup Screen the User Sees

  • Startup Options

  • Error Information

  • Deployment Options


Settings File Location and Deploy Method

The first page of the Total Access Startup Administrator Wizard allows you to specify the path for the Launch Settings INI file, and to choose the desired deploy method:

Administrator Wizard: INI File Location

Settings File Location

Total Access Startup stores information about your database and how to launch it in an INI file. Use the Browse button: to create a new INI file, or to open an existing INI file for editing. The INI file format is explained in detail in Settings File Format

Deploy Method

Select the method that you would like to deploy the master database. Total Access Startup offers two options: “Deploy Master Database to User’s Local Machine” or “Launch Master Database from Network Location.” See Preparing for Deployment for information about selecting the right deployment method.

The deployment method that you select on this page determines which options area available on subsequent pages. Differences are noted in the text. Press the [Next] button to go to the next page.

See also

  • Preparing for Deployment

  • Preparing the Master Database

  • Total Access Startup Administrator Wizard

  • General Information

  • Version Information

  • Startup Screen the User Sees

  • Startup Options

  • Error Information

  • Deployment Options


General Information

The next page of the Wizard allows you to specify general information about the database:

Administrator Wizard: General Information

Access Version

First, choose the version of Access that Total Access Startup should use when launching the database. This setting ensures that the correct version of Access is used when the database opens, even if the computer has multiple versions of Access installed.

Next, select one of the following options:

· Use this version only: Only use the selected version of Access. If the user does not have that version installed, display an error and do not open the database.

· Use this version or later: Specify the minimum version of Access to use with your database. If that version is not installed, check for the next higher version of Access, up through Access 2010. This feature is not available for Access 95 or 97 databases because launching later versions of Access prompts the user to convert the database, which may cause serious problems.

· Use this version or earlier: Specify the highest version of Access to use with your database. If that version is not installed, check for the next earlier version of Access, through Access 2000.

Access Processor Version

If you select Access 2010, additional options are available to specify whether to limit the database to open in only the 32 bit version, only the 64 bit version, or to open in either version of Access 2010.

See Settings File Format for details about deploying databases with support for 64 bit Access.

Master Database

Browse to the location of the master database. The master database should exist in a shared network location that all users have access. The master database is what copied to the user’s local computer when Total Access Startup deploys the application, and is used for version comparison to determine whether the user has the latest version.

Point to the UNC path rather than a mapped drive, unless you can be sure that all database users have the same drive mapping.

For instance, use:

\\NetworkDrive\Accounting\AccountingApp.mdb

Rather than

S:\Accounting\AccountingApp.mdb

Local Database

This option is not available if you selected “Launch from Network Location” on the first page of the wizard.

Specify the location for the database on the user’s local machine. If the database does not exist, Total Access Startup creates it the first time it is run. If the database exists, Total Access Startup checks the version, updates it if necessary, and launches the database with the specified version of Access.

Path Variables

Total Access Startup includes support for the following user-specific path variables to write the local database to a user’s folder (“My Documents”, “Desktop”, or “Profile”, respectively):

· %MyDocuments%
e.g. type “%MyDocuments%\MyDB.mdb” to copy to C:\Documents and Settings\UserName\My Documents\MyDB.mdb

· %Desktop%

e.g. type “%Desktop%\MyDB.mdb” to copy to C:\Documents and Settings\UserName\Desktop\MyDB.mdb

· %Profile%
e.g. type “%Profile%\MyFolder\MyDB.mdb” to copy to C:\Documents and Settings\UserName\MyFolder\MyDB.mdb

These path variables are important if multiple users are using the same machine and need to have separate copies of the front-end database. It’s also important if you are running Microsoft Access in Terminal Server, Citrix, or Windows RemoteApp sessions.

Database Has Security

Check this option if the database has workgroup security or a database password. If this option is selected, the Wizard prompts you for the security information:

Workgroup Security

If the database uses workgroup security, use the Browse button: to browse to the workgroup database (*.MDW). Then enter the user name and password that should be used to open the database. Finally, select the appropriate login option: “Prompt for Login” or “Use this Login”. “Prompt for Login” requires the user to log into the secure database when it is launched. “Use this Login” always uses the login name and password that you enter in Total Access Startup (the user is never prompted for login information). Use the UNC path rather than mapped drives to avoid mapping differences.

Database Password

If the database has a password, enter it in the Database Password field. After specifying the general and security information, press Next: to go to the next page.

See also

  • Preparing for Deployment

  • Preparing the Master Database

  • Total Access Startup Administrator Wizard

  • Settings File Location and Deploy Method

  • Version Information

  • Startup Screen the User Sees

  • Startup Options

  • Error Information

  • Deployment Options


Version Information

This page is not available if you selected “Launch from Network Location” on the first page of the wizard, or if you selected an ADP file as your master database. See Settings File Location and Deploy Method and Preparing the Master Database for more information.

For Total Access Startup to perform version checking for standard database files (MDBs and ACCDBs), the database must have a table with a field containing the version information. When you are ready to distribute a new master database, update the version field, and the latest version is installed the next time your users launch your application. See Preparing the Master Database for more information.

The next page of the wizard allows you to specify the location of the version information:

Administrator Wizard: Version Information

Table

The name of the table with the version information. This table must exist in the database (not a linked table), and determines whether the user has the latest version. For more information, see Preparing the Master Database.

Field

The name of the field holding the version information. This field identifies the version of this database to compare with the user’s current copy. For more information, see Preparing the Master Database.

Then press the Next button [image] to go to the next page.

See also

  • Preparing for Deployment

  • Preparing the Master Database

  • Total Access Startup Administrator Wizard

  • Settings File Location and Deploy Method

  • General Information

  • Startup Screen the User Sees

  • Startup Options

  • Error Information

  • Deployment Options


Startup Screen the User Sees

This page provides options for you to specify the message that is displayed to users while the Total Access Startup is launching the database:

Administrator Wizard: Startup Screen the User Sees

Title Bar

When a database is opened, there may be a short delay while Total Access Startup checks version information and other database options.

During this time, the user sees a Startup Screen, similar to the following:

Startup Screen

The Title Bar option allows you to specify the text that appears in this message’s title bar. In general, this should be the name of the application that is starting.

Message Text

This option allows you to specify the text that shows in the Startup Screen.

See also

  • Preparing for Deployment

  • Preparing the Master Database

  • Total Access Startup Administrator Wizard

  • Settings File Location and Deploy Method

  • General Information

  • Version Information

  • Startup Options

  • Error Information

  • Deployment Options


Startup Options

This page provides options for you to specify the message that is displayed to users while the Total Access Startup is launching the database:

Administrator Wizard: Startup Options

Startup Macro

Optionally specify a macro to run when the database is launched.

Open Read-Only

Check this option if you want the database to be opened read-only when Total Access Startup launches it. This prohibits users from making any modifications to the database. Note that it if you deploy the database locally, the local database (not the master database) is opened read-only.

Open Exclusive

Check this option if you want the database to be opened exclusively when Total Access Startup launches it. Note that it if you deploy the database locally, the local database (not the master database) is opened exclusive.

Command Line Switch

You can optionally specify a command line to run when the database is launched. Refer to the Command Function topic in the Access documentation for details.

File to run if local database doesn’t exist

This option is not available if you selected “Launch from Network Location” on the first page of the wizard.

If the local database doesn’t exist, Total Access Startup automatically copies it from the master database and creates the directory if necessary. Before the database is created, Total Access Startup can optionally execute a startup program or batch file. Use this feature to register custom controls, display a help or Readme file, or run a program before deployment.

Note that if your setup program installs your Access database, Total Access Startup verifies it’s the latest version before the user launches it. This lets you use old setup programs that install all the related files and settings without worrying about updating the latest version of your Access database.

File to run after local database is updated

This option is not available if you selected “Launch from Network Location” on the first page of the wizard.

Before the local database is updated with a new version, Total Access Startup can optionally execute a program. Use this feature to execute custom batch files, display notification of updates, or run another file when a database is updated.

After setting these Startup properties press the Next button: to go to the next page.

Display message to users after an existing local database is updated

This option is not available if you selected “Launch from Network Location” on the first page of the wizard.

Check this check box, and type a message to show to users after their local copy of the database is updated. This message is not displayed the first time the database is created locally, only when the database is updated.

See also

  • Preparing for Deployment

  • Preparing the Master Database

  • Total Access Startup Administrator Wizard

  • Settings File Location and Deploy Method

  • General Information

  • Version Information

  • Startup Screen the User Sees

  • Error Information

  • Deployment Options


Error Information

If Total Access Startup encounters a problem, it may not be able to open the database (for instance if the correct version of Access is not installed). This page allows you to customize the information that the user sees if a problem occurs:

Administrator Wizard: Error Information

Title Bar

Specify the text that appears in this message’s title bar. In general, this should be the name of the application.

Contact Information

Specify the message text to be displayed. This should generally include contact information for the database administrator.

If your user encounters a problem running Total Access Startup, a message appears with your contact information:

Database Error Message

After setting these Startup properties press the Next button: to go to the final page.

Invalid Path Variable

This option is not available if you selected “Launch from Network Location” on the first page of the wizard.

Customize the message that is displayed if the path variable specified for the local database is invalid. See Path Variables for more information about path variables.

No ADP Version

This option is not available if you selected an MDB or ACCDB as your master database or if you selected “Launch from Network Location” on the first page of the wizard.

Customize the message that is displayed if the TASVersion property cannot be found for the ADP. See Preparing Access Data Projects for information about setting the TASVersion property for ADPs.

See also

  • Preparing for Deployment

  • Preparing the Master Database

  • Total Access Startup Administrator Wizard

  • Settings File Location and Deploy Method

  • General Information

  • Version Information

  • Startup Screen the User Sees

  • Startup Options

  • Deployment Options


Deployment Options

Although database users are working with their own local copy of the master database, they should not open the application by pointing directly to the database. Instead, they should use the Total Access Startup Launcher to open the application.

Total Access Startup provides the option to create a shortcut for you to distribute to your users. The final page of the Administrator Wizard allows you to set the deployment options:

Administrator Wizard: Deployment Options

Deploy Now

If you check Yes, deploy now, a copy of the INI file, a copy of the Total Access Startup Launcher programs (TAStart.exe and TAStart64.exe ), and a shortcut are created in the location you specify when you press Finish.

If you do not select the “Deploy Now” option, the deployment files and shortcut are not created, but you can do this later. For information on deploying applications manually, see Deploying Applications Manually.

Network Location

Specify the network path where the shortcut and startup files are created. This should be a shared network location that all users can access.

Point to the UNC path rather than a mapped drive, unless you can be sure that all database users will have the same drive mapping. For instance, use:

\\NetworkDrive\AccountingAppFiles\Deploy

Rather than

S:\AccountingAppFiles\Deploy

Shortcut Name

Provide a name for the shortcut.

Description

Optionally enter a description for the shortcut. The description is the tool tip that users see when they hover over the shortcut.

Finishing Up

After setting the Deployment options, press [image] and you’re done!

Just send the shortcut file to your users. They now run the application with this shortcut and never point to the local database directly. If you change directories or file names, simply update the Settings INI file and everyone uses your new specifications. This makes it easy to support upgrades to new versions of Access and your application.

Deploying both the 32 and 64 bit Versions

By default, both the 32 and 64 bit versions of the launcher are deployed. This lets you change the settings stored in the INI file to support the 64 bit version of Access without having to redeploy the EXE files.

If you are only using Access 2007 or earlier, or do not want to support the 64 bit version of Access 2010, you can delete the TAStart64.exe file without any harm since it would never be invoked.

If you are only deploying a 64 bit version, you must still ship the 32 bit TAStart.exe file. This is necessary if a user has a 32 bit operating system since it will properly detect and exit the program in that situation.

See Access Processor Version for information about specifying the supported processor version(s).

See also

  • Preparing for Deployment

  • Preparing the Master Database

  • Total Access Startup Administrator Wizard

  • Settings File Location and Deploy Method

  • General Information

  • Version Information

  • Startup Screen the User Sees

  • Startup Options

  • Error Information


Total Access Startup Launcher

Now that you’ve configured the launch options created a shortcut to deploy the database, you’re ready to distribute your application. The Launcher has no dependencies and does not require your users to have anything installed on their machine other than a copy of Access. Just send the shortcut file to database users, and the Total Access Startup Launcher program does the rest!

Launching the Database

When the Launch program is used to open a database, Total Access Startup refers to the .INI file for launch options.

First, Total Access Startup checks the deploy method that was selected on the first page of the Administrator (see Settings File Location and Deploy Method for details).

Launch Master Database from Network Location

If “Launch Master Database from Network Location” was selected, Total Access Startup launches the master database from the network location using the correct version of Access.

Deploy Master Database to User’s Local Machine

If “Deploy Master Database to User’s Local Machine” was selected, Total Access Startup first checks whether a local copy of the database exists. If a local copy does not exist, it is created in the location specified in the .INI file, and the database is launched.

If a local copy exists, the version is verified against the Master database. If the local version matches the master database, the database is launched. If the master database was updated, the new version is copied and launched.

Total Access Startup determines the version by comparing the first record in the Version field. If the value is different, Total Access Startup considers the master database updated. See Preparing the Master Database for details.

After launching the database, Total Access Startup is removed from memory, so that it does not use any system resources.

See also

  • Total Access Startup Redistributable


Total Access Startup Redistributable

For situations where your users are not on your network and you simply want to ensure they run the correct version of Access with your database, Total Access Startup includes a royalty-free runtime license to distribute the Redistributable programs (TASLnch.exe and TASLnch64.exe) with your applications.

The Total Access Startup Redistributable is a subset of the functionality available in the primary Launcher program, and distribution is subject to the terms of the license agreement that appears in the front of your user manual.

Like the Launcher, the Redistributable has no external dependencies other than the settings INI file that you created using the Administrator and your Access database.

The 64 bit Redistributable (TASLnch64.exe) is required if for applications that support 64 bit Access processor versions (either the “Both” option or the “64 bit” option, as explained in General Information). However, we recommend including the 64 bit Redistributable for all distributions, so that it will be available if it is needed

Launching the Database with the Total Access Startup Redistributable

When the Redistributable program is used to open a database, Total Access Startup refers to the Settings File for launch options, similar to the Launcher program. The program first attempts to launch the Local Database. If the Local Database does not exist, the Master Database is launched.

Note that the Redistributable program cannot deploy the master database to the user’s local machine (which is OK since this user is not connected to your network).

See Total Access Startup Runtime License for more information about distributing Total Access Startup with your applications.

See also

  • Total Access Startup Launcher


Settings File Format

When you use the Total Access Startup Administrator to configure an application’s launch settings, the information about your database and how to launch it is stored in an INI file. The Administrator program prompts you to specify the location of the INI file on the first page, as explained in Settings File Location.

The following information is stored in the INI file:

Section

Key Name

Description

Database

Deploy

The deploy method that was selected.

Deploy Method | INI Value
Launch from Network | 0
Deploy to Local Machine | 1

See Deploy Methods for details.

AutoLogin

The workgroup login method that was selected.

Login Method | INI Value
Prompt for Login | 0
Use this Login | 1

See Workgroup Security for details.

Local Database
(N/A if Deploy Method is Launch from Network)

The location where the database should exist on the user’s local machine. If the database does not exist, Total Access Startup will create it the first time it is run on the computer. If the database does exist, Total Access Startup will check the version, and launch the database from the location specified. See General Information for details.

Master Database

The location of the master database. The master database is what will be copied to the user’s local computer when Total Access Startup deploys the application, and it is used for version comparison to determine whether the user has the latest version. See General Information for details.

Workgroup Database
(optional)

The location of the workgroup database. This key only applies to databases that use workgroup security. See General Information for details.

Database Password
(optional)

The database password (encrypted) for databases that use password security. See General Information for details.

User
(optional)

The user name (encrypted) for databases that use workgroup security. See General Information for details.

Password
(optional)

The password (encrypted) for databases that use workgroup security. See General Information for details.

Table

Name
(N/A if Deploy Method is Launch from Network, or for ADPs)

The name of the table where the version information exists. This table must exist in the database, and it is what is used to determine whether the user has the latest version. For more information, see Preparing the Master Database.

Field
(N/A if Deploy Method is Launch from Network, or for ADPs)

The name of the field where the version information exists. This field must exist in the database, and it is what is used to determine whether the user has the latest version. For more information, see Preparing the Master Database.

Program

Application Name
(optional)

The text that shows in the title bar option of the startup screen, generally the application’s title.

Status Text
(optional)

The text that shows in the startup screen while the application is loading.

If the status text includes multiple lines of text, the INI file stores the return character as “\r\n”. This is because INI file values do not support embedded carriage returns.

Access Version

The version of Access that Total Access Startup should use when launching the database. The INI file stores a numeric value for the Access version:

Access Version | INI Value
Access 95 | 7
Access 97 | 8
Access 2000 | 9
Access 2002 | 10
Access 2003 | 11
Access 2007 | 12
Access 2010 | 14

This setting ensures that the correct version of Access is used when the database opens, even if the computer has multiple versions of Access installed. See Access Version for details.

Processor

The Access processor version that was selected:

· 0 for “both”

· 1 for "32 bit"

· 2 for "64 bit

See General Information for details.

Later Access Version

The Access version option that was selected:

· 0 for “Use this version only”

· 1 for “Use this version or later”

· 2 for “Use this version or earlier”

See Access Version for details.

Read Only
(optional)

This value is 1 if “Read-Only” was selected, or 0 if it was not.

Exclusive
(optional)

This value is 1 if “Exclusive” was selected, or 0 if it was not.

Show Update Message
(N/A if Deploy Method is Launch from Network)

1 to display a message when the local database is updated with a new version, or 0 to not show a message.

Update Message
(N/A if Deploy Method is Launch from Network)

The text of the message to display when the local database is updated with a new version, and the “Show Update Message” option is set to 1.

Command Line
(optional)

The command line that is run when the database is launched.

Macro
(optional)

The macro that is run when the database is launched.

Batch Install
(N/A if Deploy Method is Launch from Network)

The file to execute when the local database is created on a user’s local machine.

Batch Update
(N/A if Deploy Method is Launch from Network)

The file to execute when the local database is updated with a new version.

ErrorInfo

Title
(optional)

The title bar of the message that shows if Total Access Startup encounters an error (generally the application name. See Error Information

ContactInfo
(optional)

The text of the message that shows if Total Access Startup encounters an error.

If the message text includes multiple lines of text, the INI file stores the return character as “\r\n”. This is because INI file values do not support embedded carriage returns.

Invalid Path Variable
(N/A if Deploy Method is Launch from Network)

The text of the message that is displayed if the path variable specified for the local database is not supported.

No ADP Version
(N/A if Database is an MDB or ACCDB)

The text of the message that is displayed if the TASVersion property cannot be found for the ADP.

See also

  • Deploying Applications Manually

  • Total Access Startup Runtime License


Deploying Applications Manually

If you choose not to deploy the application using the Total Access Startup Administrator, you can manually deploy the application.

NOTE: In order to support the 64 bit version of Access 2010, a separate Launcher application (TAStart64.exe) should be distributed in addition to the Standard Launcher (TAStart.exe).

Deploying Applications Using a Shortcut

Follow these steps to create a shortcut to distribute to your application users:

1. Open Windows Explorer, and browse to the .INI file that you created using the Total Access Startup Administrator program. This file should exist in a shared network location where you can point all database users.

2. Copy (do not move) the Total Access Startup Launcher program (TAStart.exe and TAStart64.exe) from your installation directory to the shared network location.

3. From the Windows Explorer menu, choose File, New, Shortcut.

4. When prompted for the location of the item, browse to the location of the Standard Launcher program (TAStart.exe) that you created in the shared network location. Press OK to close the Browse dialog, but do NOT press the Next button yet. TAStart.exe will detect if 64 bit Access is installed, and will automatically redirect to the 64 bit launcher.

5. At the end of the path in the Location field, append the name of the .INI file containing the database settings. The Location field should now contain text similar to this (of course, your path information will be different from what is shown below):

"\\NetworkDrive\SharedFolder\AccountingAppFiles\TAStart.exe" "\\NetworkDrive\SharedFolder \AccountingAppFiles\AccountingDBSettings.INI"

6. Press Next, and give the shortcut an appropriate name. Then press Finish to create the shortcut.

7. Test the shortcut to ensure that it launches the database correctly.

8. Send the shortcut to database users. They should not run the application by pointing to the local database itself, but rather they should always open it by using this shortcut.

Deploying Applications Without a Shortcut

Rather than using a shortcut to deploy your application, you can direct the Total Access Startup Launcher to point to the appropriate INI file by following these steps:

1. Copy Total Access Startup Launcher programs (TAStart.exe and TAStart64.exe) to a shared network location.

2. Copy the INI file that contains the appropriate application settings to the same network location.

3. If necessary, rename the Total Access Startup Launcher (TAStart.exe) so the file name matches the name of the INI file.
For instance, if the INI file is named “AcctApp.INI”, rename the Launcher to “AcctApp.exe”.

Do not rename TAStart64.exe. TAStart.exe will detect if 64 bit Access is installed, and will automatically redirect to the 64 bit launcher.

When you run the Launcher, it automatically looks for an INI file with a matching name in its directory, and points to that INI file if it exists.

The 64 bit Launcher (TAStart64.exe) is required if for applications that support 64 bit Access processor versions (either the “Both” option or the “64 bit” option, as explained in General Information ). However, we recommend including the 64 bit Launcher for all distributions, so that it will be available if it is needed.

See also

  • Settings File Format

  • Total Access Startup Runtime License


Total Access Startup Runtime License

Total Access Startup includes a royalty-free runtime license that allows you to distribute the Redistributable programs (TASLnch.exe and TASLnch64.exe) with your applications. These Launcher programs are the only programs that can be distributed, and distribution is subject to the terms of the license agreement that appears in the front of your user manual.

In addition to the Launcher programs, your users need a settings INI file that points to a valid master database—you may need to write the appropriate master database location into the .INI file. The Redistributable Program does not support copying the database to the user’s local computer.

Deploying a database using the Redistributable program is similar to deploying a database using the Launcher. Follow the same steps, but replace the Launcher programs (TAStart.exe and TAStart64.exe) with the Redistributable programs (TASLnch.exe and TASLnch64.exe).

See also

  • Settings File Format

  • Deploying Applications Manually


Support Resources

There are many resources available to help you resolve issues you may encounter. Please check the following:

Readme File

Check the README file for the latest product information. The README file can be opened from the directory where you installed the product.

Product Documentation

We’ve spent a great deal of care and time to make sure the Total Access Startup User Guide is very detailed. Check the Table of Contents and Index for your question, and read the appropriate pages.

See also

  • Web Site Support

  • Technical Support Options

  • Contacting Technical Support


Web Site Support

The FMS web site contains extensive resources to help you use our products better. Resources include product updates, frequently asked questions (FAQs), newsgroups, information on new versions, betas, and other resources.

Web Site

The FMS web site is located at: www.fmsinc.com

News and important announcements are posted here.

Support Site

The main support page is located at: www.fmsinc.com/support

From this page, you can quickly locate the other support resources.

Product Updates

FMS takes product quality very seriously. When bugs are reported and we can fix them, we make the updates available on our web site. If you are encountering problems with our product, make sure you are using the latest version.

Product updates can also be checked using the update wizard. See Using the Update Wizard for details.

Frequently Asked Questions (FAQs)

Common questions and additional information beyond what is in the manual is often available from our FAQs.

Newsgroups

FMS also has general and product specific newsgroups. Connect with FMS Technical Support and other users there. Share your experiences, learn from others, and ask your questions in our virtual community:

www.fmsinc.com/support/newsgrp.htm

Or visit our web site for additional information.

Microsoft Patches

Our support site also includes links to Microsoft patches that are related to our products. Make sure you’re using the latest versions by checking here or visiting the Microsoft site.

See also

  • Support Resources

  • Technical Support Options

  • Contacting Technical Support


Technical Support Options

FMS is committed to providing professional support for all of our products. We offer free access to our online FAQs and newsgroups. Bug reports, feature requests, suggestions, and general pre-sales questions related to our products are always available at no cost.

Additional maintenance plans are available to provide subscribers with enhanced technical support. This is the best way for you to stay current with the rapidly changing technologies that impact project development, and to ensure you are getting the maximum return from your software investment. Please visit our web site, www.fmsinc.com, for the most up-to-date information.

Features & Benefits

Premium

Incident

Standard

Access to FAQs

Access to Newsgroups

Minor Upgrades/
Bug Fixes

Telephone Support

Per incident

First 30 Days

Email Support

Per incident

First 30 Days

Priority Response Time 1

Senior Engineer Support Team

Email Project for Testing

Programmatic Code Assistance 2

Major Upgrades for Current Version (not between Access versions)

Additional fee

Additional fee

Cost

Annual Fee

Fee Per Incident

Included

1. Response generally within two business days. Actual resolution may take longer depending on complexity of the issue reported.

2. Custom Programming implementation is not provided in our Support Maintenance plans. For products that include a programmatic interface, we can provide instructions for using our programmatic interface, and show examples, but we do not implement this into your projects. This service is available from our Professional Solutions Group.

Premium Subscription

The Premium Subscription is the ideal option for customers seeking the highest level of support from FMS. The annual fee entitles you to telephone and email technical support from a senior support engineer.

From time to time, FMS may release new versions of existing products which add new features. These are point releases (e.g. from version 14.0 to 14.1) and are different from new builds that correct problems in existing features (e.g. from version 14.00.0001 to 14.00.0002).

These point releases are available for a nominal upgrade fee to existing customers. Premium Technical Support subscribers receive these upgrades automatically and for no additional charge during their subscription term.

NOTE: Upgrades between versions (for instance going from Access 2007 to Access 2010) are not considered Point Release Upgrades and are not included in the Premium Subscription.

Subscriptions are available for a twelve month period, and may be purchased at any time. You must be the registered owner of the product to purchase a subscription and the only person contacting FMS for support under the subscription.

Please ensure you have purchased the Subscription you need for Total Access Startup.

Per Incident

Our Per Incident package is available individually or by purchasing multiple incidents in advance. The Per Incident support package provides telephone and email technical support from a Senior Technical Support Engineer for resolving one incident.

An incident is defined as a single question related to one of our products. The Per Incident period is from start to finish (report of the incident to resolution) for a single incident. If you anticipate multiple questions for a single product, we recommend purchasing the Premium Subscription.

Standard Subscription

Our Standard Subscription comes with every product purchased for no additional cost. The standard subscription comes with access to our FAQs and newsgroups, and responses to bug reports and feature requests for that version.

Please note that the person requesting support must also be the registered user of the product. Registration is required and will be requested by our Technical Support professionals.

See also

  • Support Resources

  • Web Site Support

  • Contacting Technical Support


Contacting Technical Support

If the troubleshooting suggestions and other support resources fail to resolve your problem, please contact our technical support department. We are very interested in making sure you are satisfied with our product.

Registering Your Software

Please register your copy of Total Access Startup at: www.fmsinc.com/support

You must be registered to receive technical support. Registration also entitles you to free product updates, notifications, information about upcoming products, and beta invitations. You can even receive free email notification of our latest news.

Contact Us

The best way to contact us is via email at: Support@fmsinc.com

Please provide detailed information about the problem that you are encountering. This should include the name and version of the product, your operating system, and the specific problem. If the product generated an error file, please submit that as well.

With email, technical support issues can be more accurately resolved and tracked in our internal technical support system. Email also gives us more time to understand the entire problem and allows our technical support staff to contact the developers with the entire story when necessary. Please bear in mind that a unique issue may involve meetings between the technical support staff and product developers, so your patience is appreciated.

Microsoft Technical Support

FMS only provides technical support for its products. If you have questions regarding Microsoft products, please contact Microsoft technical support.

See also

  • Support Resources

  • Web Site Support

  • Technical Support Options


License Agreement

PLEASE READ THE FMS SOFTWARE LICENSE AGREEMENT. YOU MUST AGREE TO BE BOUND BY THE TERMS OF THIS AGREEMENT BEFORE YOU CAN INSTALL OR USE THE SOFTWARE.

IF YOU DO NOT ACCEPT THE TERMS OF THE LICENSE AGREEMENT FOR THIS OR ANY FMS SOFTWARE PRODUCT, YOU MAY NOT INSTALL OR USE THE SOFTWARE. YOU SHOULD PROMPTLY RETURN ANY FMS SOFTWARE PRODUCT FOR WHICH YOU ARE UNWILLING OR UNABLE TO AGREE TO THE TERMS OF THE FMS SOFTWARE LICENSE AGREEMENT FOR A REFUND OF THE PURCHASE PRICE.

Ownership of the Software

The enclosed software program (“SOFTWARE”) and the accompanying written materials are owned by FMS, Inc. or its suppliers and are protected by United States copyright laws, by laws of other nations, and by international treaties. You must treat the SOFTWARE like any other copyrighted material except that you may make one copy of the SOFTWARE solely for backup or archival purpose, and you may transfer the SOFTWARE to a permanent storage device.

Grant of License

Licensing is based on the number of copies of Total Access Startup installed. Each copy requires a separate license. One installation can be used to manage an unlimited number of databases called by an unlimited number of users on that network.

Use and Redistribution Rights

This SOFTWARE license is for one user only and includes a Runtime License granting limited redistribution rights. With the exception of the Redistributable Launcher (TASLnch.exe), no other files may be distributed.

The Redistributable Launcher (TASLnch.exe) ensures users who are not on your network launch the right version of Microsoft Office Access with your database. It does not support updates of new versions of your database since the user is disconnected from your network.

The Runtime License gives you the non-exclusive, royalty-free right to incorporate Total Access Startup in your applications, provided that:

  1. Each developer using the SOFTWARE owns a Runtime License.

  2. Your application adds substantial value to the SOFTWARE and is not a standalone launcher program.

  3. Your application does not attempt to replicate the interactive user interface of the SOFTWARE.

  4. Your application is not a freeware or shareware product.

  5. You only distribute the Redistributable Launcher and no other files of the SOFTWARE.

  6. If you claim a copyright, you must add a clause stating, “Portions of this program are copyright Total Access Startup from FMS, Inc.”, and do not claim ownership of the Software.

  7. You agree to indemnify, hold harmless, and defend FMS and its suppliers or contractors from and against any claims or lawsuits, including attorneys’ fees that arise or result from the use or distribution or other activities relating to your applications.

Other Limitations

Under no circumstances may you attempt to reverse engineer this product. You may not rent or lease the SOFTWARE.

You may not transfer any of your rights under the FMS Software License Agreement to other individuals or entities. Without prejudice to any other rights, FMS may terminate this FMS Software License Agreement at any time if you fail to comply with any of its terms. In such an event of termination, you must destroy and stop using all affected SOFTWARE copies.

Transfer of License

If your SOFTWARE is marked “NOT FOR RESALE,” you may not sell or resell the SOFTWARE, nor may you transfer the FMS Software license.

If your SOFTWARE is not marked “NOT FOR RESALE,” you may transfer your license of the SOFTWARE to another user or entity provided that:

  1. You have not distributed applications using the SOFTWARE.

  2. You have not upgraded to a later version of the SOFTWARE

  3. The recipient agrees to all terms of the FMS Software License Agreement.

  4. You provide all original materials including software disks or compact disks, and any other part of the SOFTWARE’s physical distribution to the recipient.

  5. You remove all installations of the SOFTWARE.

  6. You notify FMS, in writing, of the ownership transfer.

Limited Warranty

If you discover physical defects in the media on which this SOFTWARE is distributed, or in the related manual, FMS, Inc. will replace the media or manual at no charge to you, provided you return the item(s) within 60 days after purchase.

ALL IMPLIED WARRANTIES ON THE MEDIA AND MANUAL, INCLUDING IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE LIMITED TO SIXTY (60) DAYS FROM THE DATE OF PURCHASE OF THIS PRODUCT.

Although FMS, Inc. has tested this program and reviewed the documentation, FMS, Inc. makes no warranty or representation, either expressed or implied, with respect to this software, its quality, performance, merchantability, or fitness for a particular purpose. As a result, this software is licensed “AS-IS,” and you are assuming the entire risk as to its quality and performance. IN NO EVENT WILL FMS, INC. BE LIABLE FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES RESULTING FROM THE USE, OR INABILITY TO USE THIS SOFTWARE OR ITS DOCUMENTATION.

THE WARRANTY AND REMEDIES SET FORTH IN THIS LIMITED WARRANTY ARE EXCLUSIVE AND IN LIEU OF ALL OTHERS, ORAL OR WRITTEN, EXPRESSED OR IMPLIED.

Some states do not allow the exclusion or limitation of implied warranties or liability for incidental or consequential damages, so the above limitations or exclusions may not apply to you. This warranty gives you specific legal rights; you may also have other rights that vary from state to state.

U.S. Government Restricted Rights

The SOFTWARE and documentation are provided with RESTRICTED RIGHTS. Use, duplication, or disclosure by the Government is subject to restrictions as set forth in subparagraph (c) (1) (ii) of the Rights in Technical Data and Computer Software clause at DFARS 252.227-7013 or subparagraphs (c) (1) and (2) of the Commercial Computer Software - Restricted Rights at 48 CFR 52.227-19, as applicable.

Manufacturer is FMS Inc., Vienna, Virginia.

Printed in the USA.

Total Access Startup is copyright (c) 2002-2011 by Financial Modeling Specialists, Inc.

All rights reserved.

Microsoft, Microsoft Office Access, Microsoft Windows, and Visual Basic are registered trademarks of

Microsoft Corporation.

All other trademarks are trademarks of their respective owners.